Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.client.common
Class ExceptionHandler

    java.lang.Object
      |
      +--com.bea.wlpi.client.common.ExceptionHandler

public class ExceptionHandler
extends java.lang.Object
implements java.lang.Runnable

Reports exceptions in WebLogic Process Integrator clients.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`static void` | `reportException(java.lang.Exception e)` Deprecated. Use the two-args overload to pass a parent component. This ensures that the message box is displayed correctly and avoids lost-focus problems.
`static void` | `reportException(java.lang.Exception e, java.awt.Component parent)` Report the specified exception.
`void` | `run()` Internal use only.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### reportException

    public static void reportException(java.lang.Exception e)

  Deprecated. Use the two-args overload to pass a parent component. This ensures that the message box is displayed correctly and avoids lost-focus problems.
  Report the specified exception.

  Parameters:
    `e` - The exception to report.
  See Also:
    `reportException(Exception, Component)`

### reportException

    public static void reportException(java.lang.Exception e,
                                       java.awt.Component parent)

  Report the specified exception. This handler prints the exception stack trace and displays a message box containing the exception details. If the exception is of class `WorkflowException`, the handler chooses a warning or error icon according to the severity of the error. In all other cases, it uses the error icon. Wherever possible, the handler localizes text in the locale of the caller. The handler displays the message box on the AWT Event dispatcher thread.

  Parameters:
    `e` - The exception to report.
    `parent` - Display modally with respect to this component.
  See Also:
    `reportException(Exception, Component)`

### run

    public void run()

  Internal use only.
  Specified by:
    run in interface java.lang.Runnable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)